Bug 1262937 - 'fpaste --sysinfo' truncates on 'rpm -qa' section
'fpaste --sysinfo' truncates on 'rpm -qa' section
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fpaste (Show other bugs)
22
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 12:32 EDT by Striker Leggette
Modified: 2015-10-04 18:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: fpaste-0.3.8.1-1.fc23 fpaste-0.3.8.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-04 18:51:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix 'rpm -qa' truncating output (591 bytes, patch)
2015-09-14 12:41 EDT, Striker Leggette
no flags Details | Diff

  None (edit)
Description Striker Leggette 2015-09-14 12:32:05 EDT
Description of problem:
 - when using 'fpaste --sysinfo', the output is truncated by the 'rpm -qa' section

Version-Release number of selected component (if applicable):


How reproducible:
 - always

Steps to Reproduce:
1. fpaste --sysinfo
2.
3.

Actual results:
 - http://paste.fedoraproject.org/267028/42247943/ (example)

Expected results:
 - 'rpm -qa --nodigest --nosignature --last | head -20' only shows 20 lines

Additional info:

$ fpaste --sysinfo --printonly | wc -l
Gathering system info ...........................2486
Comment 1 Striker Leggette 2015-09-14 12:35:29 EDT
Fixed.  Change:

        ('Last 20 packages installed', '''rpm -qa --nodigest --nosignature
         --last | head -20''')]

To:

        ('Last 20 packages installed', '''rpm -qa --nodigest --nosignature --last | head -20''')]
Comment 2 Striker Leggette 2015-09-14 12:41:32 EDT
Created attachment 1073343 [details]
patch to fix 'rpm -qa' truncating output
Comment 3 Striker Leggette 2015-09-24 13:08:19 EDT
Fixed script:

https://strikerttd.fedorapeople.org/fpaste-sysinfo-fixed_2015-09-18
Comment 4 Ankur Sinha (FranciscoD) 2015-09-24 15:30:16 EDT
I'll look into this. Thanks for the fix. Sorry for the delay :(

Cheers,
Ankur
Comment 5 Fedora Update System 2015-09-29 05:36:54 EDT
fpaste-0.3.8.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16614
Comment 6 Fedora Update System 2015-09-29 05:36:54 EDT
fpaste-0.3.8.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16614
Comment 7 Fedora Update System 2015-09-29 05:41:54 EDT
fpaste-0.3.8.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8168a6fa2e
Comment 8 Striker Leggette 2015-09-30 18:19:11 EDT
0.3.8.1-1.fc22:

         '''grep -v '^#' /etc/yum.conf'''),
        ('DNF Extras',         '''dnf -C list extras'''),
        ('Last 20 packages installed', '''rpm -qa --nodigest --nosignature --last | head -20''')]
        #('Installed packages', '''rpm -qa --nodigest --nosignature | sort''', '''dpkg -l''') ]
    si = []

looks good, will test
Comment 10 Fedora Update System 2015-10-01 19:54:29 EDT
fpaste-0.3.8.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fpaste'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8168a6fa2e
Comment 11 Fedora Update System 2015-10-01 21:50:13 EDT
fpaste-0.3.8.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fpaste'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8168a6fa2e
Comment 12 Fedora Update System 2015-10-02 09:25:58 EDT
fpaste-0.3.8.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-10-03 21:38:10 EDT
fpaste-0.3.8.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fpaste'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16614
Comment 14 Fedora Update System 2015-10-04 18:51:43 EDT
fpaste-0.3.8.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.